Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#10166 closed defect (fixed)

Buffalo WZR-HP-G300NH wifi throughput stuck < 11 Mbps with trunk or 10.03.1-rc5

Reported by: anonymous Owned by: nbd
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

The wireless throughput on my Buffalo WZR-HP-G300NH will not exceed 11Mbps on svn r28322 or 10.03.1-rc5. 10.03 allows me to hit full g speeds.

Here are some logs from the router:

$ iw wlan0 station dump
Station 00:24:a5:d8:5b:38 (on wlan0)
        inactive time:  220 ms
        rx bytes:       10580769
        rx packets:     25908
        tx bytes:       7496132
        tx packets:     16938
        tx retries:     2465
        tx failed:      0
        signal:         -57 dBm
        signal avg:     -57 dBm
        tx bitrate:     11.0 MBit/s

root@router:~# cat /sys/kernel/debug/ieee80211/phy0/netdev:wlan0/stations/*/rc_stats
rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
     1         0.9       97.6      100.0          0(  0)         31          31
     2         1.1       57.8      100.0          0(  0)          3           3
 t   5.5       4.9       98.2      100.0          0(  0)        278         290
T P 11         9.5       99.9      100.0          1(  1)      17364       17907
     6         0.0        0.0        0.0          0(  0)          0           3
     9         0.0        0.0        0.0          0(  0)          0           6
    12         0.0        0.0        0.0          0(  0)          1         323
    18         0.0        0.0        0.0          0(  0)          0         322
    24         0.0        0.0        0.0          0(  0)          0         322
    36         0.0        0.0        0.0          0(  0)          0         320
    48         0.0        0.0        0.0          0(  0)          1         357
    54         0.0        0.0        0.0          0(  0)          1         337

Total packet count::    ideal 6912      lookaround 768

type      rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
HT20/LGI TtPMCS0        0.0        0.0        0.0          0(  8)          1         284
HT20/LGI    MCS1        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS2        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS3        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS4        0.0        0.0        0.0          0(  1)          0           1
HT20/LGI    MCS5        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS6        0.0        0.0        0.0          0(  0)          0           1
HT20/LGI    MCS7        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS8        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS9        0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS10       0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS11       0.0        0.0        0.0          0(  0)          0           0
HT20/LGI    MCS12       0.0        0.0        0.0          0(  0)          0           1
HT20/LGI    MCS13       0.0        0.0        0.0          0(  0)          0           1
HT20/LGI    MCS14       0.0        0.0        0.0          0(  0)          0           1
HT20/LGI    MCS15       0.0        0.0        0.0          0(  0)          0           1

Total packet count::    ideal 55      lookaround 6
Average A-MPDU length: 1.1

Wireless N behaves very badly all 10.03 and trunk series builds and is not usable (throughput is always very low, constant disconnections, etc.)

Attempting to connect with an wireless g ath5k client and an n-capable iwlagn client and get identical throughput results in all cases.

Attachments (0)

Change History (43)

comment:1 Changed 6 years ago by nbd

please show me your /etc/config/wireless

comment:2 Changed 6 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

comment:3 Changed 6 years ago by jeff@…

  • Resolution no_response deleted
  • Status changed from closed to reopened

Same results with 10.03.1 final. Here is my /etc/config/wireless. Let me know if other information would be useful. Right now in wireless g+n mode.

config 'wifi-device' 'radio0'
	option 'type' 'mac80211'
	option 'macaddr' '00:24:a5:d8:5b:38'
	list 'ht_capab' 'SHORT-GI-40'
	list 'ht_capab' 'DSSS_CCK-40'
	option 'txpower' '21'
	option 'country' 'US'
	option 'channel' '5'
	option 'disabled' '0'
	option 'hwmode' '11ng'
	option 'htmode' 'HT20'

config 'wifi-iface'
	option 'device' 'radio0'
	option 'network' 'lan'
	option 'mode' 'ap'
	option 'ssid' 'brightcolors'
	option 'encryption' 'psk2'
	option 'key' 'XXXXXXXXXXXXXXXXXX'


comment:4 Changed 6 years ago by Alex Atkin UK

Not sure what is going on there as I do not have this problem on 10.03.1 final.

$ iw wlan0 station dump
Station 00:##:##:##:##:## (on wlan0)
        inactive time:  0 ms
        rx bytes:       60323131
        rx packets:     802438
        tx bytes:       2425233716
        tx packets:     1584405
        tx retries:     9548891
        tx failed:      13
        signal:         -40 dBm
        signal avg:     -90 dBm
        tx bitrate:     104.0 MBit/s MCS 13
        rx bitrate:     58.5 MBit/s MCS 6
root@router:~# cat /sys/kernel/debug/ieee80211/phy0/netdev:wlan0/stations/00:##:##:##:##:##/rc_stats
type      rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
HT20/LGI    MCS0        6.6       99.6      100.0          0(  0)        330         363
HT20/LGI    MCS1       13.1       98.8      100.0          0(  0)        331         361
HT20/LGI    MCS2       14.8       74.9        0.0          0(  0)        357         394
HT20/LGI    MCS3       19.6       74.9        0.0          0(  0)        344         375
HT20/LGI    MCS4       38.6       99.2      100.0          0(  0)        350         379
HT20/LGI    MCS5       50.7       99.9      100.0          0(  0)       3871        4294
HT20/LGI   PMCS6       52.8       93.5      100.0          0(  0)      39133       45523
HT20/LGI    MCS7       45.2       71.1       50.7          0(  0)     414171      484223
HT20/LGI    MCS8       10.7       80.2      100.0          0(  0)        328         360
HT20/LGI    MCS9       25.9       98.8      100.0          0(  0)        335         369
HT20/LGI    MCS10      33.4       85.9      100.0          0(  0)        394         423
HT20/LGI    MCS11      45.4       89.4      100.0          0(  0)       3766        4241
HT20/LGI  t MCS12      70.7       94.1      100.0          0(  0)     141214      192239
HT20/LGI T  MCS13      76.1       79.9       81.6        240(294)     614582      799644
HT20/LGI    MCS14       0.0        8.1        0.0          0(  0)     426985      539932
HT20/LGI    MCS15       0.0        2.5        0.0          0(  1)      56189       82893

Total packet count::    ideal 1687442      lookaround 15410
Average A-MPDU length: 12.5
config 'wifi-device' 'radio0'
        option 'type' 'mac80211'
        option 'macaddr' '00:##:##:##:##:##'
        option 'hwmode' '11ng'
        list 'ht_capab' 'SHORT-GI-40'
        list 'ht_capab' 'DSSS_CCK-40'
        option 'disabled' '0'
        option 'channel' '5'
        option 'country' 'US'
        option 'distance' '100'
        option 'htmode' 'HT40-'
        option 'txpower' '23'

config 'wifi-iface'
        option 'device' 'radio0'
        option 'network' 'lan'
        option 'mode' 'ap'
        option 'encryption' 'psk-mixed'
        option 'key' 'XXXXXXXXXXXXX'
        option 'ssid' 'SSID'

Yeah I know its set as US when I am in the UK, I didn't bother to change it.

NOTE: My performance tends to be lower than optimal as I have one antenna swapped out for an external one which effectively kills one of the antenna indoors.

Incidentally downloading a test file from my LAN http server fluctuated between 5.5MB/s and 6.8MB/s on the client shown in the above stats.

I have several WiFi clients connected all with different results but I singled out my laptop running Windows 8 Developer Preview for the above as its the only machine running 802.11n hardware, Intel WiFi Link 1000 BGN.

comment:5 Changed 6 years ago by Gorby

I have the same issue: after some network activities (from 10 min to some hours) rx
bitrate drops to the ground level, to even 1Mbit. Pings to Google last about 2 sec. After reboot all is fine till the next slowdown. On heavy bittorrent load wifi stucks much quicker, in some minutes or so.

iw dev wlan0 station dump

Station 78:d6:f0:ab:b9:af (on wlan0)
        inactive time:  110 ms
        rx bytes:       968728
        rx packets:     14184
        tx bytes:       3217888
        tx packets:     5779
        tx retries:     17401
        tx failed:      73
        signal:         -47 dBm
        signal avg:     -45 [-57, -60, -48] dBm
        tx bitrate:     58.5 MBit/s MCS 6
        rx bitrate:     5.5 MBit/s
Station 00:16:eb:02:a7:e6 (on wlan0)
        inactive time:  10 ms
        rx bytes:       834507668
        rx packets:     7804097
        tx bytes:       2927690435
        tx packets:     9803031
        tx retries:     81580052
        tx failed:      2707
        signal:         -49 [-57, -60, -48] dBm
        signal avg:     -46 [-50, -60, -55] dBm
        tx bitrate:     65.0 MBit/s MCS 7
        rx bitrate:     1.0 MBit/s

comment:6 Changed 6 years ago by nbd

  • Priority changed from normal to response-needed

Please try latest trunk to see if the issue is still there.

comment:7 Changed 6 years ago by jeff@…

Latest trunk does not seem to affect the throughput issue. It does, however, allow me to stay connected in g+n mode.

comment:8 Changed 6 years ago by nbd

please try the latest svn version, some more fixes went in.

comment:9 Changed 6 years ago by jeff@…

No improvement, and my last report that the connection was no longer dropping in g+n was erroneous. The situation is just as it was when this ticket was opened.

Here is some new info if it's of any value or interest. Station MACs redacted.

Station aa:aa:aa:aa:aa:aa (on wlan0)
	inactive time:	1110 ms
	rx bytes:	7263821
	rx packets:	9376
	tx bytes:	10990451
	tx packets:	9874
	tx retries:	2244
	tx failed:	0
	signal:  	-61 [-61, -77, -77] dBm
	signal avg:	-62 [-62, -76, -76] dBm
	tx bitrate:	11.0 MBit/s
	rx bitrate:	24.0 MBit/s
	authorized:	yes
	authenticated:	yes
	preamble:	short
	WMM/WME:	yes
	MFP:		no
	TDLS peer:	no
Station aa:aa:aa:aa:aa:aa (on wlan0)
	inactive time:	6640 ms
	rx bytes:	3351
	rx packets:	57
	tx bytes:	4096
	tx packets:	22
	tx retries:	2
	tx failed:	0
	signal:  	-31 [-36, -39, -34] dBm
	signal avg:	-31 [-35, -39, -37] dBm
	tx bitrate:	1.0 MBit/s
	rx bitrate:	1.0 MBit/s
	authorized:	yes
	authenticated:	yes
	preamble:	short
	WMM/WME:	yes
	MFP:		no
	TDLS peer:	no
Station aa:aa:aa:aa:aa:aa (on wlan0)
	inactive time:	10930 ms
	rx bytes:	49025
	rx packets:	507
	tx bytes:	86323
	tx packets:	339
	tx retries:	193
	tx failed:	7
	signal:  	-71 [-75, -74, -78] dBm
	signal avg:	-70 [-74, -74, -79] dBm
	tx bitrate:	11.0 MBit/s
	rx bitrate:	11.0 MBit/s
	authorized:	yes
	authenticated:	yes
	preamble:	short
	WMM/WME:	yes
	MFP:		no
	TDLS peer:	no
root@OpenWrt:~# cat /sys/kernel/debug/ieee80211/phy0/netdev:wlan0/stations/*/rc_stats
rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
T P  1         0.9       97.6      100.0          1(  1)         21          21
 t   2         0.4       25.0      100.0          0(  0)          1           1
     5.5       0.0        0.0        0.0          0(  0)          0           0
    11         0.0        0.0        0.0          0(  0)          0           0
     6         0.0        0.0        0.0          0(  0)          0           0
     9         0.0        0.0        0.0          0(  0)          0           0
    12         0.0        0.0        0.0          0(  0)          0           0
    18         0.0        0.0        0.0          0(  0)          0           0
    24         0.0        0.0        0.0          0(  0)          0           0
    36         0.0        0.0        0.0          0(  0)          0           0
    48         0.0        0.0        0.0          0(  0)          0           0
    54         0.0        0.0        0.0          0(  0)          0           2

Total packet count::    ideal 21      lookaround 2

rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
  P  1         0.9       99.9      100.0          0(  0)         87          87
     2         1.1       57.8      100.0          0(  0)          3           3
     5.5       4.5       89.6      100.0          0(  0)         21          22
T   11         9.5       99.9      100.0          1(  1)       9713       10150
     6         0.0        0.0        0.0          0(  0)          0           0
     9         0.0        0.0        0.0          0(  0)          0           0
    12         0.0        0.2        0.0          0(  0)          1         183
    18         4.0       24.7       50.0          0(  0)          7         211
    24         3.2       15.2        0.0          0(  0)         12         273
    36         1.7        5.7        0.0          0(  0)          6         247
    48         0.2        0.5        0.0          0(  0)          2         188
 t  54         7.2       16.8       50.0          0(  0)         38         770

Total packet count::    ideal 8904      lookaround 989

rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
     1         0.5       52.9       38.0          0(  0)         65         121
     2         0.0        0.0        0.0          0(  0)          0           0
     5.5       0.0        0.0        0.0          0(  0)          0           0
T P 11         9.5       99.9      100.0          2(  2)        246         300
     6         1.4       25.0      100.0          0(  0)          1           1
 t   9         2.2       26.2        0.0          0(  0)         29          98
    12         0.0        0.0        0.0          0(  0)          0           6
    18         1.1        7.0        0.0          0(  0)          1           9
    24         0.0        0.0        0.0          0(  0)          0           6
    36         0.0        0.0        0.0          0(  0)          0           6
    48         0.0        0.0        0.0          0(  0)          0           4
    54         0.0        0.0        0.0          0(  0)          0           4

Total packet count::    ideal 290      lookaround 32

comment:10 Changed 6 years ago by jeff@…

Forgot to mention: using svn r30919

comment:11 Changed 6 years ago by Ere Maijala <emaijala+openwrt@…>

I'm having the same problem on Attitude Adjustment r31546 with MacBook Pro 5.3 (2009, Airport Extreme with Broadcom BCM43xx). With light use I can stay connected for days, but heavy traffic like bittorrent often slows the connection down to unusable in minutes. Restarting wifi on Buffalo seems to help temporarily.

comment:12 Changed 6 years ago by nbd

please try latest trunk to see if the issue is still there

comment:13 Changed 6 years ago by Ere Maijala <emaijala+openwrt@…>

I've been running r31761 since Saturday without problems. While I can't yet say for sure it's fixed, but I had uTorrent running for a couple of hours, so looks promising.

comment:14 Changed 6 years ago by Ere Maijala <emaijala+openwrt@…>

Unfortunately the problem still persists in r31761. It seems I can't provoke it with heavy traffic, but for instance this morning the RX Rate was stuck around 1.0 Mbps and TX Rate at 5.5 Mbps while everything had been working well when I put my laptop to sleep last night. "wifi down; wifi up" still helps for a while, and once I had to execute it right after rebooting the router to get decent rates. No errors in logs.

comment:15 Changed 6 years ago by anonymous

i have been struggling with the exact same thing on the wzr-hp-g300nh for a few months now.
wifi will work great for a while, then rx rate on the connected devices will get stuck at 1mbps-5mbps. connected devices are pure N (bcm4329 android phone, ath6k android tablet, rt3070sta embedded arm).
ratio of attempts to success is 1:1 until this happens. after it starts, the number of failures jumps drastically (in rc_stats). clients take several attempts to associate when the AP is in this state, if they succeed at all.
restarting hostapd fixes this in every instance.
problem occurs in both HT20/HT40, 802.11g, with wmm enabled/disabled, both with wpa and wpa2, etc.
fwiw, being fed up with constantly having to ssh in and toggle the wifi, i've been testing the dd-wrt equivalents to see if the issue is unique to openwrt. it's not. 03-19-12-r18777 (also ath9k) shows the same issue.
the official buffalo wzrhpg300nh-pro-v24sp2-17798-alpha.zip, dated 10/31/11, also ath9k, has not yet shown the issue.
please fix, as an openwrt loyalist for years, i would really like to stop using dd-wrt ASAP.
i've got plenty of debugfs, hostapd, and wireshark captures of this which i can send somewhere if desired.
thanks,
-matt

comment:16 Changed 6 years ago by nbd

please make a dump of /sys/kernel/debug/ieee80211/phy0/ath9k/regdump before and after the issue occurs and send it to me: nbd <at> nbd.name

comment:17 Changed 6 years ago by nbd

with latest openwrt trunk

comment:18 Changed 6 years ago by anonymous

Will do. It might be a couple days. The official buffalo ath9k fw has been running for days now without showing the issue.
Thanks,
-matt

comment:19 Changed 6 years ago by anonymous

hi,
i've sent an email with the regdump contents from r32002. i didn't run into the issue with the vendor provided firmware in 3 or so days.
thanks,
-matt

comment:20 Changed 6 years ago by Anton <anton.bugs@…>

guys, I just wanted to say you are not alone with this problem.
I have the same hardware and willing to help.

The bitrate goes down to 1mbs with both "g/n" and "g only" wifi settings. It also seems happens with several wifi clients at the same time.
I suspect that my new area (where I moved recently) is slighly busier ( >15 devices around me on all channels) and that might be an indirect reason for this problem as well.

comment:21 Changed 6 years ago by anonymous

hope i dont jinx myself, but package/mac80211 r30346 (initial 2012-02-06 commit) hasn't shown the issue yet. i'm running this on latest trunk (r32002).
thanks,
-matt

comment:22 Changed 6 years ago by nbd

matt,

that's good to know, can you please also test which mac80211 version introduced the issue for you? that would really help with tracking it down.
thanks.

comment:23 Changed 6 years ago by nbd

  • Owner changed from developers to nbd
  • Status changed from reopened to accepted

comment:24 Changed 6 years ago by anonymous

will do. just switched to 2012-02-23.
-matt

comment:25 Changed 6 years ago by anonymous

starting to see issues with r30968. initial speeds seem okay (it hasn't got stuck at 1-5mbps yet), but i'm seeing speedtests drop out midway with 'network communication issues'.
-matt

comment:26 Changed 6 years ago by anonymous

okay, r30968 definitely has the issue, but r30742 does not. will narrow it down further.
thanks,
-matt

comment:27 Changed 6 years ago by nbd

that information was already a big help in narrowing down the source of the problem.
please try r32045

comment:28 Changed 6 years ago by nbd

sorry, small typo in that commit. r32046 is the right one

comment:29 Changed 6 years ago by anonymous

i updated to r32046 and the issue (stuck at 5mbps) popped up within a couple hours.
i think the issue is between r30968 and r30866, i will do some more testing with r30866 to confirm the issue is not present there.
thanks,
-matt

comment:30 Changed 6 years ago by nbd

matt, please also try this with current trunk to see if it helps fix this issue:

wifi down
rmmod ath9k
rmmod ath9k_common
rmmod ath9k_hw
insmod ath9k_hw force_new_ani=1
insmod ath9k_common
insmod ath9k
wifi

comment:31 Changed 6 years ago by anonymous

testing with this parameter now on r32053, thanks.

root@wzrhpg300nh:/sys/module/ath9k_hw# cat parameters/force_new_ani 
1

-matt

comment:32 Changed 6 years ago by anonymous

Happy to report trunk is holding up after 1.5 days with said parameter set.
Will another patch be made to enable this by default?
-matt

comment:33 Changed 6 years ago by Anton <anton.bugs@…>

The same here.
I've been testing it with r32002, the speedrate stabilized with force_new_ani=1 workaround, including 40 MHz mode.

comment:34 Changed 6 years ago by nbd

I need a few more tests to figure out which exact part of the change that went into ath9k added this bug.

Please copy this patch http://nbd.name/900-ath9k_ani_fix.patch to package/mac80211/patches and try again without the force_new_ani=1 workaround.

Thanks.

comment:35 Changed 6 years ago by Anton <anton.bugs@…>

Not sure if it helps: I experienced this problem with the latest release (10.03.1) as well. Let's see what matt could say about the patch (thanks for testing!).

btw, I said "stabilized" and it might sound too optimistic.
It keep changing the speed quite randomly around 270-40Mb/s every second. Not sure if it's a normal behavior, but it works.

comment:36 Changed 6 years ago by anonymous

so far so good with the 900-ath9k_ani_fix.patch. the real test seems to be letting things sit overnight, though. will report back sometime tomorrow afternoon. this is on r32130, btw.
thanks,
-matt

comment:37 Changed 6 years ago by anonymous

it is holding up nicely. the issue appears not to be present with the supplied patch. i did just encounter a rough spot of reduced throughput (wan speedtest), but that was likely a problem with my upstream, and not the wireless.
phone/tablet are doing consistently 10+mb/s, which is normal for my network. test with the laptop over the LAN is doing 32mb/s. i don't think there are any performance regressions with this.
thanks,
-matt

comment:38 Changed 6 years ago by anonymous

looks like it is actually not resolved, sorry. about 45 minutes after bringing my xbox on via wifi, wireless dropped out and things are stuck at 1mbps again. same symptoms.
i've sent another regdump.
thanks,
-matt

comment:39 Changed 6 years ago by anonymous

rc_stats for phone with issue:

type      rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
HT20/LGI    MCS0        0.0        4.5        0.0          0(  0)          3          24
HT20/LGI    MCS1        3.1       26.3       50.0          0(  0)         18          53
HT20/LGI    MCS2        5.9       35.9        9.0          0(  0)        309         903
HT20/LGI  tPMCS3        9.6       46.2       50.0          0(  0)        118         362
HT20/LGI    MCS4        5.2       18.7        0.0          0(  0)          1          10
HT20/LGI    MCS5        4.9       14.6        0.0          0(  0)        336        1264
HT20/LGI    MCS6        5.2       14.3        0.0          0(  0)       1790        6183
HT20/LGI T  MCS7       11.5       29.6       25.0          1(  4)        360        1339

Total packet count::    ideal 2870      lookaround 78
Average A-MPDU length: 1.1

after wifi down && wifi up:

type      rate     throughput  ewma prob   this prob  this succ/attempt   success    attempts
HT20/LGI    MCS0        6.2      100.0      100.0          0(  0)         21          21
HT20/LGI    MCS1       11.7       99.6      100.0          0(  0)         16          17
HT20/LGI    MCS2       16.4       99.1      100.0          0(  0)         16          18
HT20/LGI    MCS3       20.3       97.8      100.0          0(  0)         15          18
HT20/LGI    MCS4       27.7       98.9      100.0          0(  0)         16          17
HT20/LGI    MCS5       32.6       96.7      100.0          0(  0)         15          19
HT20/LGI  t MCS6       35.9       99.3      100.0          0(  0)        155         172
HT20/LGI T PMCS7       38.6       99.0      100.0          2(  2)      12276       13270

Total packet count::    ideal 12401      lookaround 129
Average A-MPDU length: 1.0

comment:40 Changed 6 years ago by nbd

please test r32159, it should be stable now

comment:41 Changed 6 years ago by anonymous

been running r32165 for almost 3 days now. wireless has been solid, thanks. throughput seems slightly reduced overall from 2012-02-06, could be something else on my end though.
-matt

comment:42 Changed 6 years ago by nbd

  • Resolution set to fixed
  • Status changed from accepted to closed

comment:43 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.